# $Revision: 1.14 $, $Date: 2007/07/08 15:23:18 $
Summary:	KPopup - a program for sending and receiving Microsoft(tm) WinPopup messages
Summary(pl.UTF-8):	KPopup - program do wysyłania i odbierania wiadomości WinPopup
Name:		kpopup
Version:	0.9.8.2
Release:	3
License:	GPL v2
Group:		X11/Applications/Networking
Source0:	http://www.henschelsoft.de/kpopup/%{name}-%{version}.tar.gz
# Source0-md5:	f3cb22df62c4062dd172dd28aa92d4db
Patch0:		%{name}-desktop.patch
URL:		http://www.henschelsoft.de/kpopup_en.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	kdelibs-devel >= 9:3.2.0
BuildRequires:	rpmbuild(macros) >= 1.194
BuildRequires:	unsermake >= 040511
Requires:	samba-client
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KPopup is a program for sending and receiving Microsoft(tm) WinPopup
messages.

%description -l pl.UTF-8
KPopup jest programem do wysyłania i odbierania wiadomości WinPopup.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub admin
export UNSERMAKE=/usr/share/unsermake/unsermake

%configure \
	--with-qt-libraries=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/var/lib/kpopup

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir} \
	kde_libs_htmldir=%{_kdedocdir}

rm -rf $RPM_BUILD_ROOT%{_iconsdir}/locolor

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ "$1" = 1 ]; then
%banner -e %{name} <<'EOF'
Locate the [global] section of your Samba configuration file (smb.conf)
and add the following line:

message command = sh -c '/usr/bin/receivepopup.sh "%s" "%f"' &
EOF
# 'vim
fi

%files -f kpopup.lang
%defattr(644,root,root,755)
%doc ChangeLog README AUTHORS
%attr(755,root,root) %{_bindir}/kpopup
%attr(755,root,root) %{_bindir}/receivepopup.sh
%{_desktopdir}/kde/kpopup.desktop
%{_iconsdir}/hicolor/*/*/kpopup.png
%dir %attr(777,root,root) /var/lib/kpopup

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kpopup.spec,v $
Revision 1.14  2007/07/08 15:23:18  darekr
- removed unpackaged dir

Revision 1.13  2007/02/13 06:46:49  glen
- tabs in preamble

Revision 1.12  2007/02/12 00:49:01  baggins
- converted to UTF-8

Revision 1.11  2006/01/29 11:39:19  glen
- fix post message; rel 3, STBR

Revision 1.10  2006/01/26 09:44:58  ankry
- more fixes in desktop patch, rel. 2

Revision 1.9  2005/10/29 10:01:51  blekot
- up to 0.9.8.2

Revision 1.8  2005/08/04 10:34:55  blekot
- up to 0.9.8.1
- rel 1

Revision 1.7  2005/06/20 21:57:26  blekot
- up to 0.9.8

Revision 1.6  2005/04/11 16:55:00  darekr
- 1.129 macros for _kdedocdir

Revision 1.5  2004/11/04 13:10:53  paladine
- spaces->tabs
- cosmetics

Revision 1.4  2004/07/05 13:03:18  pluto
- quotes.

Revision 1.3  2004/07/05 08:34:30  pluto
- cmd line fix.

Revision 1.2  2004/07/05 01:45:14  pluto
- group, license.

Revision 1.1  2004/07/05 01:42:18  pluto
- initial release.

